//
//	TodoResultModel.swift
//
//	Create by 云霄 曹 on 9/1/2018

import Foundation 
import SwiftyJSON

class TodoResultModel{

	var data : TodoData!
	var message : String!
	var success : Bool!

	/**
	 * Instantiate the instance using the passed json values to set the properties values
	 */
	init(fromJson json: JSON!){
		if json.isEmpty{
			return
		}
		let dataJson = json["data"]
		if !dataJson.isEmpty{
			data = TodoData(fromJson: dataJson)
		}
		message = json["message"].stringValue
		success = json["success"].boolValue
	}
}

class TodoRecord{
    
    var content : String!
    var createTime : String!
    var entityType : String!
    var entityUuid : String!
    var prompt : String!
    var state : Bool!
    var userid : String!
    var uuid : String!
    var version : Int!
    
    
    /**
     * Instantiate the instance using the passed json values to set the properties values
     */
    init(fromJson json: JSON!){
        if json.isEmpty{
            return
        }
        content = json["content"].stringValue
        createTime = json["createTime"].stringValue
        entityType = json["entityType"].stringValue
        entityUuid = json["entityUuid"].stringValue
        prompt = json["prompt"].stringValue
        state = json["state"].boolValue
        userid = json["userid"].stringValue
        uuid = json["uuid"].stringValue
        version = json["version"].intValue
    }
    
}

class Paging{
    
    var page : Int!
    var pageCount : Int!
    var pageSize : Int!
    var recordCount : Int!
    
    
    /**
     * Instantiate the instance using the passed json values to set the properties values
     */
    init(fromJson json: JSON!){
        if json.isEmpty{
            return
        }
        page = json["page"].intValue
        pageCount = json["pageCount"].intValue
        pageSize = json["pageSize"].intValue
        recordCount = json["recordCount"].intValue
    }
    
    /**
     * Returns all the available property values in the form of [String:Any] object where the key is the approperiate json key and the value is the value of the corresponding property
     */
    func toDictionary() -> [String:Any]
    {
        var dictionary = [String:Any]()
        if page != nil{
            dictionary["page"] = page
        }
        if pageCount != nil{
            dictionary["pageCount"] = pageCount
        }
        if pageSize != nil{
            dictionary["pageSize"] = pageSize
        }
        if recordCount != nil{
            dictionary["recordCount"] = recordCount
        }
        return dictionary
    }

    
}

class TodoData{
    
    var paging : Paging!
    var records : [TodoRecord]!
    
    /**
     * Instantiate the instance using the passed json values to set the properties values
     */
    init(fromJson json: JSON!){
        if json.isEmpty{
            return
        }
        let pagingJson = json["paging"]
        if !pagingJson.isEmpty{
            paging = Paging(fromJson: pagingJson)
        }
        records = [TodoRecord]()
        let recordsArray = json["records"].arrayValue
        for recordsJson in recordsArray{
            let value = TodoRecord(fromJson: recordsJson)
            records.append(value)
        }
    }
    
}
